import './styles/tailwind.css'
import { createApp } from 'vue'
import App from './App.vue'
import router, { setupRouter } from './router'
import { setupGlobalProperties, setupMousestrap, setupNaive, setupNaiveDiscreteApi, setupSvgIcon } from '@/plugins'
import { setupStore } from '@/store'
import 'virtual:svg-icons-register'

async function bootstrap() {
  const app = createApp(App)
  setupStore(app)
  setupNaive(app)
  setupSvgIcon(app)
  setupNaiveDiscreteApi()
  setupMousestrap(app)
  setupGlobalProperties(app)
  setupRouter(app)
  await router.isReady()
const meta = document.createElement('meta')
  meta.name = 'naive-ui-style'
  document.head.appendChild(meta)
  app.mount('#app', true)
}

void bootstrap()
